System.ServiceModel 4.0.0.0 System.ServiceModel.CommunicationException

An example where this exception happens is if signature verification fails. This exception usually happens during application message exchange (when security context is fully established). In addition, it can occur while establishing a security session on top of the initial security context.

Represents an exception that occurred when there is something wrong with the security applied on a message.

- Constructor
  4.0.0.0
  To be added.

  Initializes an empty instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with an error string.

  The error message.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class from the specified instances of the and classes.

  A instance that contains the information required to serialize the new instance.
  A that contains the source of the serialized stream associated with the new instance.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with an error string and a reference to the inner exception that is the cause of this exception.

  The error message.
  The inner exception reference.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  sets a with all the exception object data targeted for serialization. During deserialization, the exception is reconstituted from the transmitted over the stream.

  Sets the with information about the exception.

  The that holds the serialized object data about the exception being thrown.